BuildRequires: dos2unix
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Set/Scalar.pm) perl(Test.pm)
# END SourceDeps(oneline)
%define module_version 0.1
%define module_name Class-Structured
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1
Release: alt1
Summary: provides a more structured class system for Perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/R/RO/ROBWALKER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Specifically, this function provides for variables with access specifiers
that will inherit properly, for constructors, and for abstract functions.

Abstract functions may be used on their own with no performance penalty.

Constructors and access specified variables each imply the use of the other -
and will incur a semi-significant performance penalty.

Also, note that when using all of the features it can cause problems to define
an AUTOLOAD function - so please don't.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install
# trailing <CR> in interpreter: #!/usr/bin/perl<CR>
for dir in %buildroot%_bindir %buildroot%perl_vendor_archlib %buildroot%perl_vendor_privlib ; do
    if [ -d $dir ]; then
    	find $dir -type f -executable | while read f; do
	  case `file $f` in
	    *perl*) dos2unix $f ;;
	  esac
	done
    fi
done


%files
%doc README Changes
%perl_vendor_privlib/C*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1
- initial import by package builder

